Package com.collibra.dgc.core.api.component.quality

# Interface DataQualityRuleApi

@Deprecated public interface DataQualityRuleApi
Deprecated.
This interface will be removed in the future. This feature is being dropped, so no replacement will be available.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataQualityRule`
  `addDataQualityRule(AddDataQualityRuleRequest request)`
  Deprecated.
  This method will be removed in the future.
  `DataQualityRule`
  `changeDataQualityRule(ChangeDataQualityRuleRequest request)`
  Deprecated.
  This method will be removed in the future.
  `boolean`
  `exists(UUID dataQualityRuleId)`
  Deprecated.
  This method will be removed in the future.
  `PagedResponse<DataQualityRule>`
  `findDataQualityRules(FindDataQualityRulesRequest request)`
  Deprecated.
  This method will be removed in the future.
  `List<DataQualityRule>`
  `getAllDataQualityRules()`
  Deprecated.
  This method will be removed in the future.
  `DataQualityRule`
  `getDataQualityRule(UUID dataQualityRuleId)`
  Deprecated.
  This method will be removed in the future.
  `void`
  `removeDataQualityRule(UUID dataQualityRuleId)`
  Deprecated.
  This method will be removed in the future.

- ## Method Details

  - ### addDataQualityRule

    @Deprecated DataQualityRule addDataQualityRule(AddDataQualityRuleRequest request)
    Deprecated.
    This method will be removed in the future. This feature is being dropped, so no replacement will be available.
    Adds new data quality rule.
    Parameters:
      `request` - the properties of the data quality rule to be added
    Returns:
      the newly added data quality rule

  - ### changeDataQualityRule

    @Deprecated DataQualityRule changeDataQualityRule(ChangeDataQualityRuleRequest request)
    Deprecated.
    This method will be removed in the future. This feature is being dropped, so no replacement will be available.
    Changes the data quality rule with the information that is present in the request. Only properties that are specified in this request and have not `null` values are updated. All other properties are ignored.
    Parameters:
      `request` - the properties of the data quality rule to be changed
    Returns:
      the changed data quality rule

  - ### getDataQualityRule

    @Deprecated DataQualityRule getDataQualityRule(UUID dataQualityRuleId)
    Deprecated.
    This method will be removed in the future. This feature is being dropped, so no replacement will be available.
    Returns data quality rule identified by given id.
    Parameters:
      `dataQualityRuleId` - the ID of the data quality rule
    Returns:
      the found data quality rule

  - ### getAllDataQualityRules

    @Deprecated @SecurityAuditMethod(resultFormatter=com.collibra.audit.formatter.CollectionFormatter.class) List<DataQualityRule> getAllDataQualityRules()
    Deprecated.
    This method will be removed in the future. This feature is being dropped, so no replacement will be available.
    Returns all data quality rules.
    Returns:
      all the data quality rules

  - ### findDataQualityRules

    @Deprecated @SecurityAuditMethod(resultFormatter=com.collibra.dgc.core.api.internal.security.audit.formatter.PagedResponseFormatter.class) PagedResponse<DataQualityRule> findDataQualityRules(FindDataQualityRulesRequest request)
    Deprecated.
    This method will be removed in the future. This feature is being dropped, so no replacement will be available.
    Returns data quality rules matching the given search criteria.
    Parameters:
      `request` - the search criteria for data quality rules
    Returns:
      the found data quality rules

  - ### exists

    @Deprecated boolean exists(UUID dataQualityRuleId)
    Deprecated.
    This method will be removed in the future. This feature is being dropped, so no replacement will be available.
    Returns true if a data quality rule with given ID exists.
    Parameters:
      `dataQualityRuleId` - the ID of the data quality rule
    Returns:
      true if a data quality rule with given ID exists, `false` otherwise

  - ### removeDataQualityRule

    @Deprecated void removeDataQualityRule(UUID dataQualityRuleId)
    Deprecated.
    This method will be removed in the future. This feature is being dropped, so no replacement will be available.
    Removes data quality rule identified by given id.
    Parameters:
      `dataQualityRuleId` - the ID of the data quality rule